Store the Unipass certificate Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/unipass/certificate

Store the Unipass certificate on the currently authenticated user.

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • certificate_email string(email) Required

    The email that was used in the certificate

  • certificate string(binary) Required

    The multipart file containing the X509 certificate

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • expires_at string

      The expiry date of the certificate

    • certificate_email string

      The email address associated with the certificate

    • certificate_serial_number string

      The serial number of the certificate

POST /api/v1/unipass/certificate
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/unipass/certificate' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"certificate_email":"example@example.com","certificate":"file-contents"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "certificate_email": "example@example.com",
  "certificate": "file-contents"
}
Response examples (201)
{
  "uuid": "8d7b3c91-72e9-47aa-8b47-b4e554968bad",
  "created_at": "2026-06-09T14:10:12+01:00",
  "updated_at": "2026-06-09T14:10:12+01:00",
  "expires_at": "2027-06-09T14:10:12+01:00",
  "certificate_email": "example@example.com",
  "certificate_serial_number": "132777832123178720399127681141946521234"
}